Subject: Re: bug#9926: patch: emacs-24.0.91 FTBFS on GNU/Hurd

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 Nov 2011 13:42:54 -0400

> Interesting to see that emacs-24.1 is on its way with many new features.
> When trying to compile the latest pre-release under GNU/Hurd, the build
> fails due to a missing definition in src/gnu.h. Inlined is a patch to
> add the proper definition of GC_MARK_STACK (as on many of the other
> architectures). Otherwise the global variable: static Lisp_Object Vdead;
> is undefined on line 6264: if (!EQ (obj, Vdead)) in function
> which_symbols().

Actually GC_MAKE_GCPROS_NOOPS should be made the default, and the build
should succeed even if GC_MARK_STACK is not set to GC_MAKE_GCPROS_NOOPS.
So the bug is in the which_symbols code.

        Stefan